List clients
curl --request GET \
--url https://api.portalhq.io/api/v3/custodians/me/clients \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.portalhq.io/api/v3/custodians/me/clients"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.portalhq.io/api/v3/custodians/me/clients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"createdAt": "2024-04-16T21:15:06.443Z",
"custodian": {
"id": "custodianId",
"name": "Custodian Name"
},
"ejectedAt": null,
"environment": {
"id": "environmentId",
"name": "Development"
},
"id": "clientId",
"isAccountAbstracted": false,
"metadata": {
"namespaces": {
"eip155": {
"address": "0x6e818d8f9b6c53c59a2d957d36c2146e28906195",
"curve": "SECP256K1"
}
}
},
"wallets": [
{
"createdAt": "2024-04-16T21:15:45.144Z",
"curve": "SECP256K1",
"id": "wallet1Id",
"backupSharePairs": [
{
"backupMethod": "PASSWORD",
"createdAt": "2024-04-16T21:16:48.723Z",
"id": "backupSharePairId1",
"status": "completed"
}
],
"signingSharePairs": [
{
"createdAt": "2024-04-16T21:15:45.151Z",
"id": "signingSharePairId1",
"status": "completed"
}
],
"publicKey": "stringifiedJSON"
}
]
}
],
"metadata": {
"cursor": "nextCursorToUse",
"take": 100,
"total": 1000
}
}{
"error": "<string>"
}{
"error": "<string>"
}Clients
List clients
Fetches all clients for the authorized custodian with cursor-based pagination.
GET
/
custodians
/
me
/
clients
List clients
Authorizations
Portal API Key (Custodian API Key). Pass as a Bearer token in the Authorization header.
Query Parameters
The ID of the last client in the list. Used for cursor-based pagination.
The number of records to retrieve. Maximum is 100. Default is 100.
Required range:
x <= 100Was this page helpful?
⌘I